> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset Examples

> Returns a list of all available datasets with a summary of each.



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json get /api/v1/dataset_examples
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/dataset_examples:
    get:
      tags:
        - Experiments
      summary: Get Dataset Examples
      description: Returns a list of all available datasets with a summary of each.
      operationId: get_dataset_examples_api_v1_dataset_examples_get
      parameters:
        - name: dataset_id
          in: query
          required: true
          schema:
            type: string
            description: The ID of the dataset to retrieve experiments for.
            title: Dataset Id
          description: The ID of the dataset to retrieve experiments for.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DatasetExamplesInfo'
                title: Response Get Dataset Examples Api V1 Dataset Examples Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetExamplesInfo:
      properties:
        dataset_id:
          type: string
          title: Dataset Id
        num_examples:
          type: integer
          title: Num Examples
          description: Number of examples in the dataset.
        examples:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Examples
      type: object
      required:
        - dataset_id
        - num_examples
        - examples
      title: DatasetExamplesInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````